package com.javacodegeeks.jsf.beans;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.component.html.HtmlInputText;
import javax.faces.event.ValueChangeEvent;

@ManagedBean(name = "findCapital")
@RequestScoped
public class CapitalCountry {
	private HtmlInputText country, capital;

	// Getter and Setter Methods
	public HtmlInputText getCountry() {
		return country;
	}

	public void setCountry(HtmlInputText country) {
		this.country = country;
	}

	public HtmlInputText getCapital() {
		return capital;
	}

	public void setCapital(HtmlInputText capital) {
		this.capital = capital;
	}

	// Listener Methods
	public void findCapitalListener(ValueChangeEvent cdl) {
		String country = cdl.getNewValue().toString();
		System.out.println("Country is  : " + country);
		StringBuilder capitalCountry = new StringBuilder();
		findCapital(country, capitalCountry);
		capital.setValue(capitalCountry.toString());
		System.out.println("Capital is : " + capital.getValue());
	}

	private void findCapital(String country, StringBuilder capitalCountry) {
		if (country.equals("United Kingdom")) {
			capitalCountry.append("London");
		} else if (country.equals("India")) {
			capitalCountry.append("New Delhi");
		} else if (country.equals("Spain")) {
			capitalCountry.append("Madrid");
		} else {
			capitalCountry.append("Unknown Country");
		}
	}
}
